Subject: what to put for a subject? I don't know...

From: "Charon, the Ferryman on the River Styx" <[email-masked]>
Date: Thu, 31 Aug 89 08:51 EST

Jim-

I see what you mean about the up/down and the search flag thing.  What did
you add to the main dungeon procedure to fix this?

At the end of this letter, I've appended the dictionary descriptions of the
"Mother & Baby" and "Small Girl".  I've also include the piece from the
mon_take_hit function that checks the appropriate bit in the monster cdefense
flag.  I believe this was something written in for the 5.0 UB version, but
I'm not certain, so if you need more to be able to put it into yours, I can
send whatever you need.

That bug you mention could well be the result of someone diddling with the
sources.  Off hand, I can think of one or two reasons they'd do something to
the monster-array parts, to save on memory usage, but the file-access goes
way up the minute you do anything other than the orginial form, so you lose
out in the end.  I'll keep my eye out, but I doubt if I'll ever see it happen
here.

Sounds like you and I, and the rest of the Usenet community, are in agreement
then.  We'll keep our two separate "schools" of Moria, and just share thoughts
back and forth.

Now if only the VM/CMS Moria porter would respond to my letter...

Catch you later,

Rick

---excerpt from function mon_take_hit.  Insert within the section of if
   statement that has determined the monster has died.
   EXP is the player's current experience points.  LEV is the player's level.
   I1 is the amount of experience the creature is worth (I think it's a
   calculated value)

                {Penalize player - subtract experience}
                if (uand (cdefense, %X'00000400') <> 0) then
                  begin
                    exp := exp - 10*lev;
                    if (exp < 0) then exp := 0;
                  end
                else
                  exp := exp + i1;

--------------------------------------------
  1  Mother and Baby                (p)
     Speed =  1  Level     =  0  Exp =     0
     AC    =  1  Eye-sight =  4  HD  =   1d1
     Creature harmed by cold.
     Creature harmed by fire.
     Creature harmed by poison.
     Creature harmed by acid.
     Creature harmed by stone-to-mud.
     Causes experience loss when killed
     Creature seen with Infra-Vision.
     Creature picks up objects.
--Spells/Dragon Breath =
--Movement =
     Moves and attacks normally.
     20% random movement.
     Can open doors.
--Creature attacks =
     Touches you for normal damage. (0d0)
--------------------------------------------
  2  Small Girl                     (p)
     Speed =  1  Level     =  0  Exp =     0
     AC    =  1  Eye-sight =  4  HD  =   1d1
     Creature harmed by cold.
     Creature harmed by fire.
     Creature harmed by poison.
     Creature harmed by acid.
     Creature harmed by stone-to-mud.
     Causes experience loss when killed
     Creature seen with Infra-Vision.
     Creature picks up objects.
--Spells/Dragon Breath =
--Movement =
     Moves and attacks normally.
     20% random movement.
     Can open doors.
--Creature attacks =
     Touches you for normal damage. (0d0)
--------------------------------------------